import { convertVideo } from "$lib/ffmpeg.server";
import { error } from "@sveltejs/kit";
import type { RequestHandler } from "./$types";

export const POST: RequestHandler = async ({ request }) => {
    const bodyBuffer = await request.arrayBuffer();
    const bodyUint8 = new Uint8Array(bodyBuffer);

    const convertedUint8 = await convertVideo(bodyUint8);
    if (!convertedUint8) error(500);

    return new Response(convertedUint8, {
        headers: {
			'Content-Type': 'video/mp4',
        },
    });
}
